@echo off
rem rtkuart
logman stop -n rtkuarttrace 
logman delete -n rtkuarttrace 
logman stop -n BTDevMgrtrace  
logman delete -n BTDevMgrtrace 
call:GetBtFileVersion

echo.
echo Done!
echo Zip your desktop\RtkBtFilter_Traces folder and add to your bug report
echo or send to the person helping you
echo Thanks!
pause
@echo on

:GetBtFileVersion

set OLDPATH=%PATH%
set PATH=%PATH%;%~dp0%
set OLDCD=%cd%

if %PROCESSOR_ARCHITECTURE%==AMD64 (
    set BTDIR="%programfiles(x86)%\\REALTEK\\Realtek Bluetooth"
)
if %PROCESSOR_ARCHITECTURE%==x86 (
    set BTDIR="%programfiles%\\REALTEK\\Realtek Bluetooth"
)
cd /d %BTDIR%

rem 
GetFileVer.exe /d

set PATH=%OLDPATH%
cd /d %OLDCD%

goto:eof
